aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--main/mpd/APKBUILD17
1 files changed, 8 insertions, 9 deletions
diff --git a/main/mpd/APKBUILD b/main/mpd/APKBUILD
index 5654e5188c..2648c6a021 100644
--- a/main/mpd/APKBUILD
+++ b/main/mpd/APKBUILD
@@ -3,19 +3,19 @@
# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
# Maintainer: Carlo Landmeter <clandmeter@alpinelinux.org>
pkgname=mpd
-pkgver=0.19.11
+pkgver=0.19.12
case $pkgver in
*.*.*) _branch=${pkgver%.*};;
*.*) _branch=$pkgver;;
esac
-pkgrel=2
+pkgrel=0
pkgdesc="Music daemon that plays MP3, FLAC, and Ogg Vorbis files"
url="http://musicpd.org"
pkgusers="mpd"
pkggroups="mpd audio"
arch="all"
license="GPL2"
-depends=
+depends=""
makedepends="lame-dev glib-dev curl-dev libao-dev libmad-dev flac-dev
libogg-dev faad2-dev libid3tag-dev libvorbis-dev alsa-lib-dev
libsamplerate-dev libshout-dev libmodplug-dev boost-dev icu-dev
@@ -31,7 +31,6 @@ source="http://www.musicpd.org/download/mpd/$_branch/mpd-$pkgver.tar.xz
mpd.confd"
_builddir="$srcdir/$pkgname-$pkgver"
-
prepare() {
cd "$_builddir"
for i in $source; do
@@ -63,9 +62,9 @@ build() {
package() {
cd "$_builddir"
- make DESTDIR="$pkgdir" install
+ make DESTDIR="$pkgdir" install || return 1
- #provide a config that works by default
+ # provide a config that works by default
install -d "$pkgdir"/etc
sed -e 's:\#pid_file.*:pid_file\t\t"/var/run/mpd/mpd.pid":' \
-e 's:\#user.*:user\t\t"mpd":' \
@@ -81,19 +80,19 @@ package() {
"$pkgdir"/var/lib/mpd/music
}
-md5sums="78935f6c464b67e19b4dc65bdb80319e mpd-0.19.11.tar.xz
+md5sums="acbef4339d854da509c8bf3b43f0657e mpd-0.19.12.tar.xz
a84cce5fdb848c7d282e38698432df51 underlinking.patch
97e6eab066fc610e6e3a3b2263a6d5ba musl-gcc5-fixes.patch
b0c5da8706963a5ae910ff604eb87e2b stacksize.patch
69f9df7ba92ac3f6c46a4a30a2a5c025 mpd.initd
dbd301041953a5cf9c2b9de8f23eb6bb mpd.confd"
-sha256sums="7a5c66aa5af97a5b7af3dc49e3d2594071dafd62a14e2e9f7c9a5a86342836c6 mpd-0.19.11.tar.xz
+sha256sums="7b6fe6c7ce72f5f80a276d680072b524ecb395e546e252b8f3a0756377e1e875 mpd-0.19.12.tar.xz
b3a0499cbd3f759612ad94fce00588d97e5e82af0b2bcc560869eb977067a426 underlinking.patch
f8be8d5f00576e4734d44d3ee2ad2ddd55351c25eee5a545573a264304514db9 musl-gcc5-fixes.patch
7ae663ecc08498e1d822349cf580eb738f43218308ae0b75efe128276f8ab98a stacksize.patch
9d842c202c010b7254dc89971649139b81bfec49f11c19bcba8be8712279ba7b mpd.initd
32c072f77c23c2cc2dd7c93b65b73015e0587caaf2740856132af32cee623206 mpd.confd"
-sha512sums="3ad505a75651facd141efbb43ebb86a9f1b66a0bc044d39c9131068fc20d05037ad449935fd6fc20917dfd690cdc256c1d1deb7427039d2345b13bea2b2eb66e mpd-0.19.11.tar.xz
+sha512sums="a608c99096d0ec9158cba5615be344a47d76c5be830ba34445e330f141aaa828784772d772df20d71d4c65e78ea5dfe9fb59ea4f4f823fa112a00517963a6e7e mpd-0.19.12.tar.xz
d6a98c5f60a60ddd5fa94b25864f800a6a6fb6ffe114793293d0ccc71bb5d1cdb847ca39fde4128446b55a38be85634106d5d6f2c77ee450f33631b30140781a underlinking.patch
5140ad3eb13b5e141e9b9909ad27ae2a08ac7556b3ff23f97a65ae6dc20f3856a0376b85fe8e90eb37b8fbaccd0c1002b4bc788d0abcb7541c95713e1cc98a3a musl-gcc5-fixes.patch
f425c20e18207a406f84a6a664f02625fca9d42977b1289f4ba8595406b26f6aa73b4f1cb5a1115858cb75fa7844f42d7174adba3f6af1af216c44901a1ccaa0 stacksize.patch